# Uses of Enum Class
org.apache.lucene.search.Pruning

Packages that use Pruning
Package
Description
org.apache.lucene.search
Code to search indices.
org.apache.lucene.search.comparators
Comparators, used to compare hits so as to determine their sort order when collecting the top results with `TopFieldCollector`.

- ## Uses of Pruning in org.apache.lucene.search

  Methods in org.apache.lucene.search that return Pruning
  Modifier and Type
  Method
  Description
  `static Pruning`
  Pruning.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Pruning[]`
  Pruning.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.search with parameters of type Pruning
  Modifier and Type
  Method
  Description
  `FieldComparator<?>`
  SortedNumericSortField.`getComparator(int numHits, Pruning pruning)`
  `FieldComparator<?>`
  SortedSetSortField.`getComparator(int numHits, Pruning pruning)`
  `FieldComparator<?>`
  SortField.`getComparator(int numHits, Pruning pruning)`
  Returns the `FieldComparator` to use for sorting.
  `abstract FieldComparator<?>`
  FieldComparatorSource.`newComparator(String fieldname, int numHits, Pruning pruning, boolean reversed)`
  Creates a comparator for the field in the given index.

- ## Uses of Pruning in org.apache.lucene.search.comparators

  Fields in org.apache.lucene.search.comparators declared as Pruning
  Modifier and Type
  Field
  Description
  `protected Pruning`
  NumericComparator.`pruning`
  Constructors in org.apache.lucene.search.comparators with parameters of type Pruning
  Modifier
  Constructor
  Description
  ``
  `DocComparator(int numHits, boolean reverse, Pruning pruning)`
  Creates a new comparator based on document ids for `numHits`
  ``
  `DoubleComparator(int numHits, String field, Double missingValue, boolean reverse, Pruning pruning)`
  ``
  `FloatComparator(int numHits, String field, Float missingValue, boolean reverse, Pruning pruning)`
  ``
  `IntComparator(int numHits, String field, Integer missingValue, boolean reverse, Pruning pruning)`
  ``
  `LongComparator(int numHits, String field, Long missingValue, boolean reverse, Pruning pruning)`
  `protected`
  `NumericComparator(String field, T missingValue, boolean reverse, Pruning pruning, int bytesCount)`
  ``
  `TermOrdValComparator(int numHits, String field, boolean sortMissingLast, boolean reverse, Pruning pruning)`
  Creates this, with control over how missing values are sorted.